> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Plan

> Requests a fresh procedure catalogue (InsurancePlan) for the policy's product. Poll List Specialities until it is ready.



## OpenAPI

````yaml post /abdm/nhcx/v1/policies/{policyId}/plan/refresh
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/nhcx/v1/policies/{policyId}/plan/refresh:
    post:
      summary: Refresh Plan
      description: >-
        Requests a fresh procedure catalogue (InsurancePlan) for the policy's
        product. Poll List Specialities until it is ready.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: policy_id from Search Policies or Policy Discovery Status
          in: path
          name: policyId
          required: true
          schema:
            description: policy_id from Search Policies or Policy Discovery Status
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsRequestIdModel'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NhcxError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NhcxError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsRequestIdModel:
      properties:
        estimated_response_time:
          description: e.g., "4-6 hours"
          type: string
        message:
          type: string
        request_id:
          type: string
        status:
          type: string
        workflow_id:
          description: Current workflow state
          type: string
      type: object
    NhcxError:
      properties:
        error:
          type: string
        issues:
          description: >-
            Every validation problem found, when the backend rejects a submit
            before it reaches the payer
          items:
            type: string
          type: array
        updated_at:
          description: 'Only on a 409 from the draft save: the stored draft''s version'
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.